//
//  ItemHeaderView.swift
//  Jel
//
//  Created by zerocool on 12/23/23.
//

import SwiftUI
import JellyfinKit

struct ItemHeaderView: View {
  @State var item: BaseItemDto
  
  let overlayGradient = LinearGradient(gradient: Gradient(stops: [
    .init(color: .clear, location: 0),
    .init(color: .black, location: 0.3),
    .init(color: .black, location: 0.7),
    .init(color: .clear, location: 1)
  ]), startPoint: .bottom, endPoint: .top)
  
  var body: some View {
    ZStack(alignment: .bottom) {
      LibraryIconView(library: item, imageType: "Backdrop", contentMode: .fill)
        .hideCaption()
        .setCornerRadius(0)
        .mask(overlayGradient)
        .padding(.top, 50)
        .background {
          LibraryIconView(library: item, imageType: "Backdrop", contentMode: .fill)
            .hideCaption()
            .setCornerRadius(0)
            .blur(radius: 50)
        }
      
      HStack {
        LibraryIconView(library: item, imageType: "Logo", width: 150)
          .hideCaption()
          .setCornerRadius(0)
          .shadow(radius: 10)
        Spacer()
      }
      .padding(.leading)
    }
  }
}

#Preview {
  ItemHeaderView(item: BaseItemDto())
}
